Description

By default, when exporting issues (or anything else) to a PDF file in Redmine, it creates a PDF file with A4 page sizes.

In some countries (such as the US), letter size paper is commonly used instead of A4 paper, and it is more convenient to print PDF

files with letter-sized pages.

RFPDF supports the following page sizes:

a3

a4

a5

letter

legal

You can trivially modify the default paper size by editing source:trunk/vendor/plugins/rfpdf/lib/rfpdf/fpdf.rb (line 58).  However, I

suspect that this should be done by reading an administrative setting in source:trunk/lib/redmine/export/pdf.rb and changing the

function call on line 35, thus allowing the user to set the default paper size from the administration area.

I'm afraid that properly adding a configuration variable is beyond my abilities

History

#1 - 2013-01-29 13:17 - Tobias Dussa

Beyond the obvious capability to switch between usual paper sizes (say, A4 and letter), this issue has another aspect:

When printing a gantt chart for a more complex project, A4 just will not do.  It would be great if it was possible to print such charts on, say, A0.

RFPDF seems to support this in principle; patching lib/redmine/export/pdf.rb produces A0 pages.  However, this obviously is not a very general

solution to the problem.

#2 - 2013-02-02 09:20 - Toshi MARUYAMA

- Category changed from Administration to PDF export

#3 - 2014-07-01 12:41 - Tobias Dussa

Are there any news on this issue?

#4 - 2019-07-01 17:37 - Fabián Rodríguez

On Debian 9.9 and Redmine 3.3.1, editing /usr/share/redmine/lib/redmine/export/pdf.rb and changing "a0" to "letter" at line 33 I was able to the the

format I needed.

#5 - 2020-02-10 20:23 - Ted Felix

Just did this with redmine 4.1.0.  Went to:

/usr/share/redmine/lib/redmine/export/pdf.rb

 Found the following line:

super(orientation, 'mm', 'A4')

 Changed the 'A4' to 'letter'.  Had to restart redmine, and now my pdf's are 8.5 x 11.
